Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire
Class DefaultXFire

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandlerSupport
          org.codehaus.xfire.DefaultXFire

All Implemented Interfaces:
  HandlerSupport, XFire

Direct Known Subclasses:
  LoomXFire, PlexusXFire

    public class DefaultXFire

extends AbstractHandlerSupport
implements XFire

Since:
  Feb 13, 2004
Author:
  Dan Diephouse

Field Summary

Fields inherited from interface org.codehaus.xfire.XFire
`ROLE`

Constructor Summary
`DefaultXFire()`
`DefaultXFire(ServiceRegistry registry, TransportManager transportManager)`

Method Summary
`protected void` | `createHandlers()`
`protected void` | `createPhases()` Creates a default list of phases for this XFire instance.
`protected Service` | `findService(java.lang.String serviceName)`
`void` | `generateWSDL(java.lang.String serviceName, java.io.OutputStream out)` Generate WSDL for a service.
`java.util.List` | `getFaultPhases()`
`java.util.List` | `getInPhases()`
`java.util.List` | `getOutPhases()`
`ServiceRegistry` | `getServiceRegistry()` Get the `ServiceRegistry`.
`TransportManager` | `getTransportManager()` Get the `TransportManager`.
`void` | `setFaultPhases(java.util.List faultPhases)`
`void` | `setInPhases(java.util.List inPhases)`
`void` | `setOutPhases(java.util.List outPhases)`

Methods inherited from class org.codehaus.xfire.handler.AbstractHandlerSupport
`addFaultHandler, addInHandler, addOutHandler, getFaultHandlers, getInHandlers, getOutHandlers, setFaultHandlers, setInHandlers, setOutHandlers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.handler.HandlerSupport
`getFaultHandlers, getInHandlers, getOutHandlers`

Constructor Detail

### DefaultXFire

    public DefaultXFire()

### DefaultXFire

    public DefaultXFire(ServiceRegistry registry,
                        TransportManager transportManager)

Method Detail

### createHandlers

    protected void createHandlers()

### createPhases

    protected void createPhases()

  Creates a default list of phases for this XFire instance.

### findService

    protected Service findService(java.lang.String serviceName)

### generateWSDL

    public void generateWSDL(java.lang.String serviceName,
                             java.io.OutputStream out)

  Description copied from interface: `XFire`
  Generate WSDL for a service.

  Specified by:
    `generateWSDL` in interface `XFire`
  Parameters:
    `serviceName` - The name of the service.
    `out` - The OutputStream to write the WSDL to.

### getServiceRegistry

    public ServiceRegistry getServiceRegistry()

  Description copied from interface: `XFire`
  Get the `ServiceRegistry`.

  Specified by:
    `getServiceRegistry` in interface `XFire`

### getTransportManager

    public TransportManager getTransportManager()

  Description copied from interface: `XFire`
  Get the `TransportManager`.

  Specified by:
    `getTransportManager` in interface `XFire`

### getInPhases

    public java.util.List getInPhases()

  Specified by:
    `getInPhases` in interface `XFire`

### setInPhases

    public void setInPhases(java.util.List inPhases)

### getOutPhases

    public java.util.List getOutPhases()

  Specified by:
    `getOutPhases` in interface `XFire`

### setOutPhases

    public void setOutPhases(java.util.List outPhases)

### getFaultPhases

    public java.util.List getFaultPhases()

  Specified by:
    `getFaultPhases` in interface `XFire`

### setFaultPhases

    public void setFaultPhases(java.util.List faultPhases)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.